;;; (c) by Wilfried Nelkel
;;; CAD-Technik Nelkel GmbH
;;; Telefon: +49 (0)9628/914144 | Fax: +49 (0)9628/914145
;;; In der Langen Nacht 18, 92289 Ursensollen | www.cad-nelkel.de
;;; Web-Shop: http://www.schulungshandbuch.de 
;;; Geschftsfhrerin: Alexandra Nelkel
;;; Sitz der Gesellschaft: Ursensollen
;;; Eingetragen beim Amtsgericht Amberg HRB 5369
;;; Steuernummer: 201/123/00172
;;;
;;; Programmierstand: 24.10.2014

(defun c:rete (/ opd oco oos p1 p2 opd oco p3 seg breite hhe segbreite inkr ho ve)
  (setq	opd (getvar "pdmode")
	oco (getvar "cecolor")
	p1  (getpoint
	      "\nErste Ecke des Rechtecks whlen (erster Punkt muss Startpunkt der Teilung sein!)"
	    )
  )
  (setvar "pdmode" 35)
  (setvar "cecolor" "1")
  (command-s "_point" p1)
  (setq	po1 (entlast)
	p2  (getpoint "\nGegenberliegende Ecke des Rechtecks whlen")
  )
  (command-s "_point" p2)
  (setq po2 (entlast))
  (princ
    "\nZeigen Sie nun die Seite, die geteilt werden soll!"
  )
  (setq	p3	  (getpoint p1)
	seg	  (getint "\nGeben Sie nun die Anzahl der Segmente ein: ")
	breite	  (distance p1 p3)
	hhe	  (distance p3 p2)
	segbreite (/ breite seg)
	inkr	  0
  )
  (setq oos (getvar "osmode"))
  (setvar "osmode" 0)
;;; horizontale Teilung?
  (if (= (cadr p1) (cadr p3))
    (progn
      (setq ho 1
	    ve 0
      )
      (if (> (car p1) (car p2))
	(setq segbreite	(* segbreite -1)
	)
      )
    )
  )
;;; vertikale Teilung?
  (if (= (car p1) (car p3))
    (progn
      (setq ho 0
	    ve 1
      )
      (if (> (cadr p1) (cadr p3))
	(setq segbreite	(* segbreite -1)
	)
      )
    )
    (setq ho 1
	  ve 0
    )
  )
;;; Wenn horizontal geteilt werden muss
  (if (= ho 1)
    (repeat seg
      (command-s "_rectang"
		 (list (+ (car p1) inkr) (cadr p1))
		 (list (+ (car p1) (+ inkr segbreite)) (cadr p2))
      )
      (setq inkr (+ inkr segbreite))
    )
  )
;;; Wenn vertikal geteilt werden muss
  (if (= ve 1)
    (repeat seg
      (command-s "_rectang"
		 (list (car p1) (+ (cadr p1) inkr))
		 (list (car p2) (+ (+ inkr segbreite) (cadr p1)))
      )
      (setq inkr (+ inkr segbreite))
    )
  )
					; Hier werden Einstellungen wieder hergestellt
  (setvar "pdmode" opd)
  (setvar "cecolor" oco)
  (setvar "osmode" oos)
  (command-s "lschen" po1 po2 "")
  (princ)
)
